Subject: Re: bug#2058: 23.0.60; bewildering behavior when visit new file throw.pdf

From: Tassilo Horn <[email-masked]>
Date: Wed, 28 Jan 2009 08:45:33 +0100

Richard M Stallman <[email-masked]> writes:

Hi Richard,

>     > I did C-x C-f throw.pdf, with no existing file throw.pdf. The ensuing
>     > messages and interaction were bewildering.
>
>     Is that really a use-case?
>
> Sure.  It is not very useful, but why give a misleading and inaccurate
> error message?  It would be better to do

Now I switch to `fundamental-mode' for empty or non-existing PDF/DVI
files and to `ps-mode' for empty or non-existing PS files.  I think this
is appropriate.

Bye,
Tassilo